From 668e37a0b363bca761a2611c07f1317ce65090fd Mon Sep 17 00:00:00 2001
From: Metztli Information Technology <jose@metztli-it.com>
Date: Mon, 16 Oct 2017 12:16:06 -0700
Subject: [PATCH] debian-packaging reiser4 support

---
 debian/config/amd64/defines                          | 3 ++-
 debian/installer/amd64/modules/amd64/reiser4-modules | 1 +
 debian/installer/amd64/package-list                  | 3 +++
 debian/installer/modules/reiser4-modules             | 1 +
 debian/installer/package-list                        | 7 +++++++
 5 files changed, 14 insertions(+), 1 deletion(-)
 create mode 100644 debian/installer/amd64/modules/amd64/reiser4-modules
 create mode 100644 debian/installer/modules/reiser4-modules

diff --git a/debian/config/amd64/defines b/debian/config/amd64/defines
index e15f609a2..344342da7 100644
--- a/debian/config/amd64/defines
+++ b/debian/config/amd64/defines
@@ -5,8 +5,9 @@ featuresets:
 kernel-arch: x86
 
 [build]
-debug-info: true
+debug-info: false
 image-file: arch/x86/boot/bzImage
+signed-modules: false
 vdso: true
 
 [image]
diff --git a/debian/installer/amd64/modules/amd64/reiser4-modules b/debian/installer/amd64/modules/amd64/reiser4-modules
new file mode 100644
index 000000000..9373ef12f
--- /dev/null
+++ b/debian/installer/amd64/modules/amd64/reiser4-modules
@@ -0,0 +1 @@
+#include <reiser4-modules>
diff --git a/debian/installer/amd64/package-list b/debian/installer/amd64/package-list
index e55a71031..ec9dbb3c3 100644
--- a/debian/installer/amd64/package-list
+++ b/debian/installer/amd64/package-list
@@ -3,6 +3,9 @@
 # architecture, which is derived from the files in the modules directory.
 # It overwrites specifications from /usr/share/kernel-wedge/package-list.
 #
+#Jose/Metztli IT 10-16-2017 reiser4 support
+Package: reiser4-modules
+Priority: standard
 
 Package: fat-modules
 Priority: standard
diff --git a/debian/installer/modules/reiser4-modules b/debian/installer/modules/reiser4-modules
new file mode 100644
index 000000000..70ddae431
--- /dev/null
+++ b/debian/installer/modules/reiser4-modules
@@ -0,0 +1 @@
+reiser4
diff --git a/debian/installer/package-list b/debian/installer/package-list
index a148a42cc..702f39405 100644
--- a/debian/installer/package-list
+++ b/debian/installer/package-list
@@ -123,6 +123,13 @@ Priority: standard
 Description: JFS filesystem support
  This package contains the JFS filesystem module for the kernel.
 
+# Jose/Metztli IT 10-16-2017 reiser4 support
+Package: reiser4-modules
+Depends: kernel-image, crc-modules
+Priority: extra
+Description: Reiser4 filesystem support
+ This package contains the Reiser4 filesystem module for the kernel.
+
 Package: ntfs-modules
 Depends: kernel-image
 Priority: optional
-- 
2.14.1

